> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timelockdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Blockchain Statistics

Get blockchain statistics and confirmation status for a list of evidences. Useful for checking which evidence records have been confirmed on the blockchain.


## OpenAPI

````yaml POST /evidences/{COMPANY_ID}/blockinfo
openapi: 3.0.0
info:
  title: TimeLockData API
  description: Public API for evidence management and blockchain traceability
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.timelockdata.com/api/v1
    description: Production
security: []
tags: []
paths:
  /evidences/{COMPANY_ID}/blockinfo:
    post:
      tags:
        - Evidence Management
      summary: Get evidences blockchain statistics
      operationId: DigitalTwinController_getDigitalTwinsStats
      parameters:
        - name: COMPANY_ID
          required: true
          in: path
          description: Company identifier
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetDigitalTwinsStatsRequest'
      responses:
        '200':
          description: Evidences statistics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDTsResponse'
      security:
        - APIKeyAuth: []
components:
  schemas:
    GetDigitalTwinsStatsRequest:
      type: object
      properties:
        dts:
          description: List of evidence identifiers
          type: array
          items:
            type: string
        updates:
          description: List of evidence events to check for updates
          type: array
          items:
            $ref: '#/components/schemas/DigitalTwinEvent'
    GetDTsResponse:
      type: object
      properties:
        dts:
          description: List of evidences
          type: array
          items:
            $ref: '#/components/schemas/DigitalTwinOnList'
        count:
          type: number
          description: Total number of evidences
      required:
        - dts
        - count
    DigitalTwinEvent:
      type: object
      properties:
        dtId:
          type: string
          description: Identifier of the evidence
        version:
          type: number
          description: Version number of the evidence
      required:
        - dtId
        - version
    DigitalTwinOnList:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the evidence
        externalId:
          type: string
          description: External identifier of the evidence
        name:
          type: string
          description: Name of the evidence
        summary:
          type: string
          description: Summary of the evidence
        creationDate:
          format: date-time
          type: string
          description: Date when the evidence was created
        lastUpdateDate:
          format: date-time
          type: string
          description: Date of the last update to the evidence
        lastUpdateTxId:
          type: string
          description: Transaction ID of the last event
        iconId:
          type: object
          description: ID of the icon file
        owner:
          type: object
          description: Current owner of the evidence
        historyChanges:
          type: object
          description: Number of history changes
        categoryId:
          type: string
          description: ID of the category
        subcategoryId:
          type: string
          description: ID of the subcategory
        stolen:
          type: boolean
          description: Flag indicating whether the evidence was reported as stolen
        txId:
          type: string
          description: Transaction ID of the blockchain transaction
        blockNumber:
          type: number
          description: Block number of the creation transaction
        lastUpdateBlockNumber:
          type: number
          description: Block number of the last update transaction
      required:
        - id
        - externalId
        - name
        - creationDate
        - owner
        - historyChanges
        - categoryId
        - subcategoryId
        - txId
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````